feed-1.3.2.1: Interfacing with RSS (v 0.9x, 2.x, 1.0) + Atom feeds.

Copyright | (c) Galois Inc. 2008 (c) Sigbjorn Finne 2009-
License | BSD3
Maintainer | Sigbjorn Finne <sof@forkIO.com>
Stability | provisional
Portability | portable
Safe Haskell | Safe-Inferred
Language | Haskell2010

Text.Atom.Pub

Description

Types for the Atom Publishing Protocol (APP)

# Documentation

data Service #

Constructors

Service |

Fields

- serviceWorkspaces :: [Workspace]
- serviceOther :: [Element]

data Workspace #

Constructors

Workspace |

Fields

- workspaceTitle :: TextContent
- workspaceCols :: [Collection]
- workspaceOther :: [Element]

data Collection #

Constructors

Collection |

Fields

- collectionURI :: URI
- collectionTitle :: TextContent
- collectionAccept :: [Accept]
- collectionCats :: [Categories]
- collectionOther :: [Element]

data Categories #

Constructors

CategoriesExternal URI |
Categories (Maybe Bool) (Maybe URI) [Category] |

#### Instances

Instances details

Show Categories # |
Instance details Defined in Text.Atom.Pub Methods showsPrec :: Int -> Categories -> ShowS # show :: Categories -> String # showList :: [Categories] -> ShowS #

newtype Accept #

Constructors

Accept |

Fields

- acceptType :: Text